com.versionone.apiclient

## Enum AssetState

- java.lang.Object
- - java.lang.Enum<AssetState>
  - - com.versionone.apiclient.AssetState

- All Implemented Interfaces:
    Serializable, Comparable<AssetState>

      public enum AssetState
      extends Enum<AssetState>

  VersionOne built in states for an Asset

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Active` Asset is active
    `Closed` Asset was closed
    `Dead` Asset is dead
    `Deleted` Asset was deleted
    `Future` Asset has not been activated

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDefined(int intValue)` Is an int a valid AssetState
    `int` | `value()` Get the integer value of this state
    `static AssetState` | `valueOf(int intValue)` Select AssetState based on an integer value
    `static AssetState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AssetState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Future

          public static final AssetState Future

      Asset has not been activated

    - #### Active

          public static final AssetState Active

      Asset is active

    - #### Closed

          public static final AssetState Closed

      Asset was closed

    - #### Dead

          public static final AssetState Dead

      Asset is dead

    - #### Deleted

          public static final AssetState Deleted

      Asset was deleted

  - ### Method Detail

    - #### values

          public static AssetState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AssetState c : AssetState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AssetState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public int value()

      Get the integer value of this state
      Returns:
        int

    - #### valueOf

          public static AssetState valueOf(int intValue)

      Select AssetState based on an integer value
      Parameters:
        `intValue` - - int
      Returns:
        AssetState

    - #### isDefined

          public static boolean isDefined(int intValue)

      Is an int a valid AssetState
      Parameters:
        `intValue` - - int
      Returns:
        boolean - boolean

Copyright © 2016 VersionOne, Inc.. All rights reserved.